package eu.eudat.data.entities;

import eu.eudat.queryable.queryableentity.DataEntity;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.List;
import java.util.UUID;

@Entity
@Table(name = "\"UserAssociation\"")
public class UserAssociation implements DataEntity<UserAssociation, UUID> {

	@Id
	@GeneratedValue
	@GenericGenerator(name = "uuid2", strategy = "uuid2")
	@Column(name = "id", updatable = false, nullable = false, columnDefinition = "BINARY(16)")
	private UUID id;

	@OneToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "\"firstUser\"")
	private UserInfo firstUser;

	@OneToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "\"secondUser\"")
	private UserInfo secondUser;

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public UserInfo getFirstUser() {
		return firstUser;
	}

	public void setFirstUser(UserInfo firstUser) {
		this.firstUser = firstUser;
	}

	public UserInfo getSecondUser() {
		return secondUser;
	}

	public void setSecondUser(UserInfo secondUser) {
		this.secondUser = secondUser;
	}

	@Override
	public void update(UserAssociation entity) {

	}

	@Override
	public UUID getKeys() {
		return null;
	}

	@Override
	public UserAssociation buildFromTuple(List<Tuple> tuple, List<String> fields, String base) {
		return null;
	}
}
